### Property

# Gimp Curve:n-samples

since: 3.2

#### Declaration

    property n-samples: int [ read, write, construct ]

#### Description [src]

The number of samples this `GIMP_CURVE_FREE` curve is split into.

Type:`gint`

Available since: 3.2

Default value | 256
Getter method | `gimp_curve_get_n_samples()`
Setter method | `gimp_curve_set_n_samples()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no